Skip to main content
`Ctrl`+`K`

# DSRestoreArrayReal

Restores the matrix after `DSGetArrayReal()` was called.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSRestoreArrayReal(DS ds,DSMatType m,PetscReal *a[])

Not Collective

## Input Parameters

- ds - the direct solver context

- m - the requested matrix

- a - pointer to the values

## See Also

DS: Direct Solver (or Dense System), `DSGetArrayReal()`, `DSGetArray()`

## Level

advanced

## Location

src/sys/classes/ds/interface/dsops.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages